# -*- encoding: utf-8 -*-
"""
Configuration file for celery instance

Documentation: https://docs.celeryproject.org/en/v4.4.7/userguide/configuration.html
"""
from config import CELERY_BROKER_URL

# The name of default queue for tasks
task_default_queue = 'termidesk_default'

# Явное лучше неявного.
# Используем только json для сериализации.
task_serializer = 'json'
accept_content = ['json']

# url for message broker
broker_url = CELERY_BROKER_URL

# Задачи могут быть длительные, поэтому для лучшего распределения
# prefetch отключаем как рекомендовано в документации
worker_prefetch_multiplier = 1

beat_scheduler = "django_celery_beat.schedulers:DatabaseScheduler"

# Подстраховка от возможных утечек памяти
worker_max_tasks_per_child = 100
worker_max_memory_per_child = 100000  # 100 МБ
