from django.conf.urls import url
from .views.authenticators import Authenticators
from .views.external_login import TermideskRestAuthToken
from .views.legacy_login import LegacyLogin
from .views.legacy_logout import LegacyLogout
from .version import api_version

app_name = api_version

urlpatterns = [
    url(r'^authenticators$', Authenticators.as_view(), name="authenticators"),
    url(r'^external/login$', TermideskRestAuthToken.as_view(), name="external_login"),
    url(r'^legacy/login$', LegacyLogin.as_view(), name="legacy_login"),
    url(r'^legacy/logout$', LegacyLogout.as_view(), name="legacy_logout"),

]
