'''
Created on 10 июн. 2022 г.

@author: dvd
'''
import logging

from rest_framework.response import Response
from rest_framework.generics import GenericAPIView
from rest_framework.mixins import RetrieveModelMixin
from ..schemas import LegacyLogoutSchema
from ..serializers.legacy_logout import LegacyLogoutSerializer
from django import http

logger = logging.getLogger(__name__)


class LegacyLogout(GenericAPIView, RetrieveModelMixin):
    serializer_class = LegacyLogoutSerializer
    schema = LegacyLogoutSchema()

    def get(self, request, *args, **kwargs):
        """ 
        Прекращение действие токена/сессии пользователя.
        Токен аутентификации должен передаваться в заголовке X-Auth-Token.
        """
        serializer = self.serializer_class(data={'request':request},
                                           context={'request': request})
        serializer.is_valid(raise_exception=True)
        session = serializer.validated_data['session']
        session.delete()
        return Response({'result': 'ok'})

    def post(self, request, *args, **kwargs):
        """ 
        Прекращение действие токена/сессии пользователя.
        Токен аутентификации должен передаваться в заголовке X-Auth-Token.
        """
        return self.get(request, *args, **kwargs)
