import logging


from rest_framework import generics
from rest_framework.schemas.openapi import AutoSchema
from uds.models import Authenticator
from ..serializers.authenticators import AuthenticatorBasicInfoSerializer

logger = logging.getLogger(__name__)


class Authenticators(generics.ListAPIView):
    """
    View to list all authenticators.

    get:
    Получение списка аутентификаторов.
    """
    serializer_class = AuthenticatorBasicInfoSerializer
    schema = AutoSchema()

    def get_queryset(self):
        result = Authenticator.objects.all().order_by("name")
        return result
