from rest_framework import serializers

from termidesk.models.AccessDevice import AccessDevice, STATES


class AccessDeviceSerializer(serializers.ModelSerializer):
    id = serializers.CharField(source='uuid', required=False, read_only=True)
    access_title = serializers.SerializerMethodField()
    certificate_valid = serializers.SerializerMethodField()

    class Meta:
        model = AccessDevice
        fields = ['id', 'certificate_subject', 'os', 'certificate_valid', 'last_seen_ip', 'access',
                  'access_title']

    def get_access_title(self, instance):
        """Получение правильного для восприятия статуса. """
        if not isinstance(instance, AccessDevice):
            return None
        return STATES.get(instance.access)

    def get_certificate_valid(self, instance):
        """Получение правильного для восприятия значения поля certificate_valid. """
        if not isinstance(instance, AccessDevice):
            return None
        return 'Действительный' if instance.certificate_valid else 'Недействительный'
