'''
Created on 8 февр. 2022 г.

@author: dvd
'''
# -*- encoding: utf-8 -*-

from termidesk.api.permissions import AccessPermission
from ..serializers.gui import GuiFieldsSerializer
from ..schemas import GuiFieldsSchema
from ..helpers import GuiHelper

from rest_framework import generics
from uds.core.services import factory

import logging

logger = logging.getLogger(__name__)


class ProvidersGui(generics.ListAPIView):
    """
    Спецификация полей GUI для поставщика ресурсов
    """
    permission_classes = [AccessPermission]
    serializer_class = GuiFieldsSerializer
    schema = GuiFieldsSchema(operation_id_base='WebuiProvidersGuiFields')

    def get_queryset(self):

        gui_default_fields = GuiHelper.add_default_fields(
            [],
            ['name', 'comments', 'tags'])

        res = gui_default_fields
        prov_type = self.request.path.split('/')[-1]
        gui_fields = factory().lookup(prov_type).guiDescription()

        prov_fields = []
        for fields in gui_fields:
            field = {'name': fields['name']}
            for param in fields['gui']:
                field.update({param: fields['gui'][param]})
            prov_fields.append(field)

        for field in prov_fields:
            res = GuiHelper.add_field(gui_default_fields, field)

        return sorted(res, key=lambda f: f['gui']['order'])
