from termidesk.core.policies.PolicyRegistry import PolicyRegistry


def registry():
    """
    Returns instance for register/access to policy
    """
    return PolicyRegistry.instance()


def get_policy_class_by_type(type_name: str):
    """Получение класса политики по именованию типа.
    При отсутствии необходимой политики отдает ошибку."""
    policy = registry().lookup(type_name)
    if policy is None:
        raise ValueError(
            'Переданного типа политики "{type_name}" не существует'.format(type_name=type_name)
        )
    return policy
