import logging

from uds.core.util.UniqueNameGenerator import UniqueNameGenerator
from uds.models.UniqueId import UniqueId

logger = logging.getLogger(__name__)


class FiniteUniqueNameGenerator(UniqueNameGenerator):
    """Генератор уникальных имен без переиспользования старых"""

    unique_id = 'ea91c31c-e1d7-43b1-8250-a220bc856258'  # uuid4
    label = "Без переиспользования имен"

    def get_min_val(self, base_name):
        instance = UniqueId.objects.filter(basename=base_name).order_by('seq').last()
        val = (instance.seq + 1) if instance else 0
        return val
