'''
Created on 25 мая 2022 г.

@author: dvd
'''

import re
from django.core.validators import URLValidator
from django.core.validators import _lazy_re_compile


class LanHostURLValidator(URLValidator):
    # Добавление поддержки валидации url вида scheme://host/
    # См. тикет https://code.djangoproject.com/ticket/25418
    host_re = '(' + URLValidator.hostname_re + \
                    URLValidator.domain_re + URLValidator.tld_re + \
                    '|' + URLValidator.hostname_re + '|localhost)'

    regex = _lazy_re_compile(
        r'^(?:[a-z0-9\.\-\+]*)://'  # scheme is validated separately
        r'(?:[^\s:@/]+(?::[^\s:@/]*)?@)?'  # user:pass authentication
        r'(?:' + URLValidator.ipv4_re + '|' + URLValidator.ipv6_re + '|' + host_re + ')'
        r'(?::\d{2,5})?'  # port
        r'(?:[/?#][^\s]*)?'  # resource path
        r'\Z', re.IGNORECASE)
