# -*- coding: utf-8 -*-
'''
Created on 6 мая 2020 г.

@author: dvd
'''
from __future__ import unicode_literals

import sys
from .common.common_command import CommonCommand
from termidesk.management.commands.subcommands.auth.create import CreateCommand
from termidesk.management.commands.subcommands.auth.list import ListCommand
from termidesk.management.commands.subcommands.auth.login import LoginCommand
from termidesk.management.commands.subcommands.auth.remove import RemoveCommand

import urllib3
urllib3.disable_warnings(urllib3.exceptions.InsecureRequestWarning)


class Command(CommonCommand):
    help = '''
           Создает домен аутентификации.
           Для просмотра параметров домена аутентификации 
           не указывайте аргумент --params.
           '''

    create_command = None
    list_command = None
    remove_command = None
    login_command = None

    def add_arguments(self, parser):
        super(Command, self).add_arguments(parser)
        self.create_command = CreateCommand(self.style)
        self.create_command.add_subparser(self.subparsers)

        self.list_command = ListCommand(self.style)
        self.list_command.add_subparser(self.subparsers)

        self.remove_command = RemoveCommand(self.style)
        self.remove_command.add_subparser(self.subparsers)

        self.login_command = LoginCommand(self.style)
        self.login_command.add_subparser(self.subparsers)

    def handle(self, *args, **options):
        subcommand = options.get('subcommand')

        if subcommand == self.create_command.SUBCOMMAND:
            return self.create_command.handle_subcommand(
                options,
                self.stdout,
                self.stderr
            )

        if subcommand == self.list_command.SUBCOMMAND:
            return self.list_command.handle_subcommand(
                options,
                self.stdout,
                self.stderr
            )

        if subcommand == self.remove_command.SUBCOMMAND:
            return self.remove_command.handle_subcommand(
                options,
                self.stdout,
                self.stderr
            )

        if subcommand == self.login_command.SUBCOMMAND:
            return self.login_command.handle_subcommand(
                options,
                self.stdout,
                self.stderr
            )

        if not subcommand:
            self.print_help('manage.py', 'tdsk_auth')
            sys.exit(1)
