from django.db import migrations, models

from termidesk.models.AccessDevice import validate_access_value


class Migration(migrations.Migration):
    dependencies = [
        ('termidesk', '0025_policy_deployed_service'),
    ]

    operations = [
        migrations.CreateModel(
            name='AccessDevice',
            fields=[
                ('id',
                 models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('uuid', models.CharField(default=None, max_length=50, null=True, unique=True)),
                ('certificate', models.TextField()),
                ('certificate_valid', models.BooleanField()),
                ('certificate_subject', models.CharField(db_index=True, max_length=256)),
                ('certificate_validity_start', models.DateTimeField()),
                ('certificate_validity_end', models.DateTimeField()),
                ('os', models.CharField(max_length=256)),
                ('last_seen_ip', models.GenericIPAddressField()),
                ('access', models.CharField(max_length=128, validators=[validate_access_value])),
            ],
            options={
                'db_table': 'termidesk_access_device',
                'ordering': ('certificate_subject',),
            },
        ),
    ]
