from django.db import models

from uds.models.UUIDModel import UUIDModel

ALLOWED_ACCESS = "allowed"
DENIED_ACCESS = "denied"
WAIT_ACCESS = "wait"

STATES = {
    ALLOWED_ACCESS: 'Разрешен',
    DENIED_ACCESS: 'Запрещен',
    WAIT_ACCESS: 'Ожидание',
}


def validate_access_value(value: str):
    return value in STATES


class AccessDevice(UUIDModel):
    """ Устройства доступа. """
    certificate = models.TextField()
    certificate_valid = models.BooleanField()
    certificate_subject = models.CharField(max_length=256, db_index=True)
    certificate_validity_start = models.DateTimeField()
    certificate_validity_end = models.DateTimeField()
    os = models.CharField(max_length=256)
    last_seen_ip = models.GenericIPAddressField()
    access = models.CharField(max_length=128, validators=[validate_access_value])

    class Meta:
        ordering = ("certificate_subject",)
        db_table = "termidesk_access_device"
