from termidesk.core.policies.BasePolicy import BasePolicy
from termidesk.core.policies.mixins import ChoicesPolicyUIMixin


class ClientFileCopyEnabledPolicy(ChoicesPolicyUIMixin, BasePolicy):
    """Политика Передачи файлов в протоколе доставки "SPICE (vdi-viewer, эксперим.)" """

    typeName = 'Передача файлов в протоколе доставки "SPICE (vdi-viewer, эксперим.)"'
    typeType = 'ClientFileCopyEnabledPolicy'
    typeDescription = (
        'Разрешение на передачу файлов в протоколах доставки.\n'
        'Примечание: Политика пока применяется только для протокола "SPICE (vdi-viewer, эксперим.)"'
    )

    ALLOW_VALUES = {
        ChoicesPolicyUIMixin.ENABLED: "Разрешена",
        ChoicesPolicyUIMixin.DISABLED: "Запрещена",
    }
