from termidesk.core.policies.BasePolicy import BasePolicy
from termidesk.core.policies.mixins import ChoicesPolicyUIMixin


class ClientSmartCardRedirectEnabledPolicy(ChoicesPolicyUIMixin, BasePolicy):
    """Политика перенаправления смарт-карт в протоколе доставки "SPICE (vdi-viewer, эксперим.)"""

    typeName = 'Перенаправление смарт-карт в протоколе доставки "SPICE (vdi-viewer, эксперим.)"'
    typeType = 'ClientSmartCardRedirectEnabledPolicy'
    typeDescription = (
        'Разрешение на перенаправление смарт-карт в протоколах доставки.\n'
        'Примечание: Политика пока применяется только для протокола "SPICE (vdi-viewer, эксперим.)"'
    )

    ALLOW_VALUES = {
        ChoicesPolicyUIMixin.ENABLED: "Разрешено",
        ChoicesPolicyUIMixin.DISABLED: "Запрещено",
    }
