const setupPoliciesTable = function(itemApi) {
/*  itemApi - это экземпляр класса BasicModelRest,
который отвечает за работу с rest методами */
  "use strict";

	const policiesTable = $('#policiesTable');
    const editItemModal = $('#editItemModal');
    const removeItemModal = $('#removeItemModal');

    const toolbarBuilder = function(jToolbar) {
    	const obj = {
    		jSelf: jToolbar,
    		disableItemControls: function() {
				const items = ['[data-js=item-edit]', '[data-js=item-remove]']
				items.forEach(function(value) {
					const btn = this.jSelf.find(value);
					btn.prop("disabled", true);
				}, this)
    		},
    		enableItemControls: function(item) {
				const items = ['[data-js=item-edit]', '[data-js=item-remove]']
				items.forEach(function(value) {
					const btn = this.jSelf.find(value);
					btn.prop("disabled", false);
					btn.get(0).dataset.type=item.type;
					btn.get(0).dataset.id=item.id;
					btn.get(0).dataset.name=item.name;
				}, this)
    		}
    	}

    	return obj;
    }

    const policiesToolbar = toolbarBuilder($('#policiesToolbar'));

	const initTable = function(jTable) {
		// DataTable Config
		jTable.DataTable({
		  columns: [
		    { data: null,
	    	  render: function (data, type, full, meta) {
		        return '<span data-js="item" data-type="'+data.data_type+'" data-id="'+data.data_type+'">'+data.name+'</span>';
		      }
		    },
		    { data: "view_value" },
		  ],
		  data: [],
		  dom: "t",
		  language: {
		    zeroRecords: "Список пуст"
		  },
		  order: [[ 0, 'asc' ]],
		  pfConfig: {
		    toolbarSelector: "#policiesToolbar",
		    colvisMenuSelector: '.table-view-pf-colvis-menu',
		    paginationSelector: "#policiesPagination"
		  },
		  select: {
		    selector: 'tr',
		    style: 'single'
		  },
		});
	};

	termidesk.forms.setupItemUI({
			itemApi: itemApi,
			jTable: policiesTable,
			modals: {
				edit:editItemModal,
				remove:removeItemModal,
			},
			itemToolbar: policiesToolbar,
	});

	initTable(policiesTable);
	termidesk.forms.populateTable(itemApi, policiesTable, policiesToolbar);
};