( function() {
  class Spinner {
    constructor(options) {
      this.container = options.container;
      this.startTime = new Date(); // init
      this.init( this.container, Spinner.COMPONENT_MARKUP );
    }
    
    static COMPONENT_MARKUP = `
      <div class="overlay">
        <div class="spinner-wrapper">
          <div class="spinner"></div>
        </div>
      </div>
    `;
    
    init( container, markup ) {
      container.append( markup );
    }
    
    start() {
      this.startTime = new Date();
      this.container.find('.overlay').show();
    }
    
    stop() {
      const startTime = this.startTime;
      const stopTime = new Date();
      const timeElapsed = stopTime - startTime; // ms
      const remainder = 300 - timeElapsed; // ms
      // console.log(`remainder: ${remainder}`);

      if ( remainder <= 0 ) {
        $('.overlay').hide();
      } else {
        setTimeout( function() {
          $('.overlay').hide();
          // console.log( new Date() - startTime );
        }, remainder );
      }
    }
  }
  
  termidesk.ui.components.Spinner = Spinner;
} )();
