from django import template

from termidesk.models.UserPermission import VIEW_POLICY
from uds.core.util.Config import GlobalConfig
from uds.models.User import User

register = template.Library()


@register.simple_tag(name="has_user_view_policy_perm")
def has_user_view_policy_perm(user: User):
    return user.has_perm(VIEW_POLICY)


@register.simple_tag(name="is_device_auth_enabled")
def is_device_auth_enabled(user: User):
    return GlobalConfig.EXPERIMENTAL_DEVICE_AUTH_ENABLED.getInt(force=True) != 0 and user.is_admin
