# Generated manually on 2022-07-20 11:01

from django.db import migrations


MAX_SESSION_TIME_DEFAULTS = {
    'key': 'experimental.osm.maxSessionTime.enabled',
    'field_type': 3,
    'section': 'Experimental',
    'long': False,
    'crypt': False,
    'value': '0',
}


def remove_deprecated_config_key(apps, _schema_editor):
    config_model = apps.get_model('uds', 'Config')
    config_model.objects.filter(key=MAX_SESSION_TIME_DEFAULTS['key']).delete()


def reverse_remove(apps, _schema_editor):
    config_model = apps.get_model('uds', 'Config')
    config_model.objects.get_or_create(
        key=MAX_SESSION_TIME_DEFAULTS['key'],
        defaults=MAX_SESSION_TIME_DEFAULTS,
    )


class Migration(migrations.Migration):

    dependencies = [
        ('uds', '0049_auto_20220629_1002'),
    ]

    operations = [
        migrations.RunPython(remove_deprecated_config_key, reverse_code=reverse_remove),
    ]
