# Generated by Django 2.2.17 on 2022-07-20 14:18

from django.db import migrations

RBAC_ENABLED_KEY_DEFAULTS = {
    'key': 'experimental.rbac.enabled',
    'field_type': 3,
    'section': 'Experimental',
    'long': False,
    'crypt': False,
    'value': '0',
}


def remove_deprecated_config_key(apps, schema_editor):
    config = apps.get_model('uds', 'Config')
    config.objects.filter(key=RBAC_ENABLED_KEY_DEFAULTS['key']).delete()


def reverse_remove(apps, schema_editor):
    config_model = apps.get_model('uds', 'Config')
    config_model.objects.get_or_create(
        key=RBAC_ENABLED_KEY_DEFAULTS['key'],
        defaults=RBAC_ENABLED_KEY_DEFAULTS,
    )


class Migration(migrations.Migration):

    dependencies = [
        ('uds', '0050_remove_experimental_maxsessiontime'),
    ]

    operations = [
        migrations.RunPython(remove_deprecated_config_key, reverse_code=reverse_remove),
    ]
