# Generated by Django 2.2.17 on 2022-08-30 16:03

import codecs
import json
from django.db import migrations


def code(apps, _schema_editor):
    """Переносит значение DeployedService.show_transports
    в значение политики ProtocolSelectionPolicy
    """
    DeployedService = apps.get_model('uds', 'DeployedService')
    PolicyDeployedService = apps.get_model('termidesk', 'PolicyDeployedService')

    for deployed_service in DeployedService.objects.all():
        value = '01'[deployed_service.show_transports]
        data = {'value': value, 'version': 1}
        data_str = json.dumps(data)
        data_str = codecs.encode(data_str.encode(), 'base64').decode()
        PolicyDeployedService.objects.get_or_create(
            deployed_service=deployed_service,
            data_type='ProtocolSelectionPolicy',
            defaults={
                'name': 'Выбор пользователем протокола доставки',
                'data': data_str,
            },
        )


def reverse_code(apps, _schema_editor):
    """Переносит значение политики ProtocolSelectionPolicy
    в DeployedService.show_transports
    """
    DeployedService = apps.get_model('uds', 'DeployedService')
    PolicyDeployedService = apps.get_model('termidesk', 'PolicyDeployedService')

    policies = PolicyDeployedService.objects.filter(data_type='ProtocolSelectionPolicy')
    for policy in policies:
        data_str = codecs.decode(policy.data.encode(), 'base64').decode()
        data = json.loads(data_str)
        show_transports = bool(int(data.get('value', '0')))
        DeployedService.objects.filter(id=policy.deployed_service_id).update(show_transports=show_transports)


class Migration(migrations.Migration):

    dependencies = [
        ('termidesk', '0027_auto_20220726_1133'),
        ('uds', '0051_remove_rbac_experimental'),
    ]

    operations = [
        migrations.RunPython(code, reverse_code)
    ]
