# -*- coding: utf-8 -*-
'''
Created on 7 июн. 2022 г.

@author: dvd
'''


def normalize_machine_ou(ou: str, domain: str) -> str:
    '''
    Вспомогательный метод для приведения пути к контейнеру с профилями
    добавляемых машин в доменных параметрах гостевых ОС к единому виду.

    :param ou: Путь к контейнеру (OU) с профилями машин
    :param domain: Доменное имя

    :return: Нормализованный путь к контейнеру с профилями машин
    :rtype: str
    '''
    result = ou

    lpath = 'dc=' + ',dc='.join(domain.split('.'))
    if ou.lower().find(lpath.lower()) == -1:
        result += ',' + lpath

    return result
